<div class="payment-method" data-bind="css: {'_active': (getCode() == isChecked())}">
    <div class="payment-method-title field choice">
        <input type="radio"
               name="payment[method]"
               class="radio"
               data-bind="attr: {'id': getCode()}, value: getCode(), checked: isChecked, click: selectPaymentMethod, visible: isRadioButtonVisible()" />
        <label data-bind="attr: {'for': getCode()}" class="label">

            <span data-bind="text: getTitle()"></span>

        </label>
    </div>
    <div class="payment-method-content">
        <!-- ko foreach: getRegion('messages') -->
        <!-- ko template: getTemplate() --><!-- /ko -->
        <!--/ko-->
        <fieldset class="fieldset" data-bind='attr: {id: "payment_form_" + getCode()}'>
            <div class="payment-method-note">
                <!-- ko i18n: 'You will be redirected to CommWeb Payment Gateway.' --><!-- /ko -->
            </div>

        </fieldset>


        <div class="actions-toolbar">
            <div class="primary">
                <button class="action primary checkout"
                        type="submit"
                        data-bind="click: continueToCommWeb, enable: (getCode() == isChecked())"
                        disabled>
                    <span data-bind="text: $t('Continue to CommWeb')"></span>
                </button>
            </div>
        </div>
    </div>
</div>